IntlCalendar::setLenient
IntlCalendar::setRepeatedWallTimeOption
IntlCalendar
PHP Manual

# IntlCalendar::setMinimalDaysInFirstWeek

Set minimal number of days the first week in a year or month can have

### Description

Object oriented style

public bool IntlCalendar::setMinimalDaysInFirstWeek ( int `$minimalDays` )

Procedural style

bool intlcal_get_minimal_days_in_first_week ( IntlCalendar `$cal` , int `$minimalDays` )

Sets the smallest number of days the first week of a year or month must have in the new year or month. For instance, in the Gregorian calendar, if this value is 1, then the first week of the year will necessarily include January 1st, while if this value is 7, then the week with January 1st will be the first week of the year only if the day of the week for January 1st matches the day of the week returned by IntlCalendar::getFirstDayOfWeek; otherwise it will be the previous yearʼs last week.

### Parameters

`cal`

  The IntlCalendar resource.

`minimalDays`

  The number of minimal days to set.

### Return Values

`TRUE` on success, `FALSE` on failure.